OpenCV: cv::cudacodec::EncoderParams Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::cudacodec::EncoderParams Struct Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Video Encoding/Decoding

Different parameters for CUDA video encoder. More...

`#include "cudacodec.hpp"`

## Public Member Functions
| EncoderParams ()
| EncoderParams (const String &configFile)
| Constructors. More...
void | load (const String &configFile)
| Reads parameters from config file. More...
void | save (const String &configFile) const
| Saves parameters to config file. More...

## Public Attributes
int | AvgBitrate
| NVVE_AVG_BITRATE,. More...
int | ClearStat
| NVVE_CLEAR_STAT,. More...
int | DeblockMode
| NVVE_DEBLOCK_MODE,. More...
int | DIMode
| NVVE_SET_DEINTERLACE,. More...
int | DisableCabac
| NVVE_DISABLE_CABAC,. More...
int | DisableSPSPPS
| NVVE_DISABLE_SPS_PPS. More...
int | DynamicGOP
| NVVE_DYNAMIC_GOP,. More...
int | ForceIDR
| NVVE_FORCE_IDR,. More...
int | ForceIntra
| NVVE_FORCE_INTRA,. More...
int | IDR_Period
| NVVE_IDR_PERIOD,. More...
int | NaluFramingType
| NVVE_CONFIGURE_NALU_FRAMING_TYPE. More...
int | P_Interval
| NVVE_P_INTERVAL,. More...
int | PeakBitrate
| NVVE_PEAK_BITRATE,. More...
int | Presets
| NVVE_PRESETS,. More...
int | ProfileLevel
| NVVE_PROFILE_LEVEL,. More...
int | QP_Level_InterB
| NVVE_QP_LEVEL_INTER_B,. More...
int | QP_Level_InterP
| NVVE_QP_LEVEL_INTER_P,. More...
int | QP_Level_Intra
| NVVE_QP_LEVEL_INTRA,. More...
int | RCType
| NVVE_RC_TYPE,. More...

## Detailed Description

Different parameters for CUDA video encoder.

## Constructor & Destructor Documentation

## ◆ EncoderParams() [1/2]

cv::cudacodec::EncoderParams::EncoderParams | ( |  | ) |

## ◆ EncoderParams() [2/2]

cv::cudacodec::EncoderParams::EncoderParams | ( | const String & | configFile | ) |
| explicit

Constructors.

Parameters

  configFile | Config file name.

Creates default parameters or reads parameters from config file.

## Member Function Documentation

## ◆ load()

void cv::cudacodec::EncoderParams::load | ( | const String & | configFile | ) |

Reads parameters from config file.

Parameters

  configFile | Config file name.

## ◆ save()

void cv::cudacodec::EncoderParams::save | ( | const String & | configFile | ) | const

Saves parameters to config file.

Parameters

  configFile | Config file name.

## Member Data Documentation

## ◆ AvgBitrate

int cv::cudacodec::EncoderParams::AvgBitrate

NVVE_AVG_BITRATE,.

## ◆ ClearStat

int cv::cudacodec::EncoderParams::ClearStat

NVVE_CLEAR_STAT,.

## ◆ DeblockMode

int cv::cudacodec::EncoderParams::DeblockMode

NVVE_DEBLOCK_MODE,.

## ◆ DIMode

int cv::cudacodec::EncoderParams::DIMode

NVVE_SET_DEINTERLACE,.

## ◆ DisableCabac

int cv::cudacodec::EncoderParams::DisableCabac

NVVE_DISABLE_CABAC,.

## ◆ DisableSPSPPS

int cv::cudacodec::EncoderParams::DisableSPSPPS

NVVE_DISABLE_SPS_PPS.

## ◆ DynamicGOP

int cv::cudacodec::EncoderParams::DynamicGOP

NVVE_DYNAMIC_GOP,.

## ◆ ForceIDR

int cv::cudacodec::EncoderParams::ForceIDR

NVVE_FORCE_IDR,.

## ◆ ForceIntra

int cv::cudacodec::EncoderParams::ForceIntra

NVVE_FORCE_INTRA,.

## ◆ IDR_Period

int cv::cudacodec::EncoderParams::IDR_Period

NVVE_IDR_PERIOD,.

## ◆ NaluFramingType

int cv::cudacodec::EncoderParams::NaluFramingType

NVVE_CONFIGURE_NALU_FRAMING_TYPE.

## ◆ P_Interval

int cv::cudacodec::EncoderParams::P_Interval

NVVE_P_INTERVAL,.

## ◆ PeakBitrate

int cv::cudacodec::EncoderParams::PeakBitrate

NVVE_PEAK_BITRATE,.

## ◆ Presets

int cv::cudacodec::EncoderParams::Presets

NVVE_PRESETS,.

## ◆ ProfileLevel

int cv::cudacodec::EncoderParams::ProfileLevel

NVVE_PROFILE_LEVEL,.

## ◆ QP_Level_InterB

int cv::cudacodec::EncoderParams::QP_Level_InterB

NVVE_QP_LEVEL_INTER_B,.

## ◆ QP_Level_InterP

int cv::cudacodec::EncoderParams::QP_Level_InterP

NVVE_QP_LEVEL_INTER_P,.

## ◆ QP_Level_Intra

int cv::cudacodec::EncoderParams::QP_Level_Intra

NVVE_QP_LEVEL_INTRA,.

## ◆ RCType

int cv::cudacodec::EncoderParams::RCType

NVVE_RC_TYPE,.

The documentation for this struct was generated from the following file:

- cudacodec/include/opencv2/cudacodec.hpp